Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class ContractAccountDetail

java.lang.Object
ru.bitel.bgbilling.kernel.contract.balance.common.bean.ContractAccountDetail

    public class ContractAccountDetail
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractAccountDetail()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getAmount()` |
  `int` | `getContractId()` |
  `java.math.BigDecimal` | `getCost()` |
  `int` | `getEntityId()` |
  `Period` | `getPeriod()` |
  `int` | `getServiceId()` |
  `java.math.BigDecimal` | `getSum()` |
  `java.lang.String` | `getTitle()` |
  `void` | `setAmount​(java.math.BigDecimal amount)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setCost​(java.math.BigDecimal cost)` |
  `void` | `setEntityId​(int entityId)` |
  `void` | `setPeriod​(Period period)` |
  `void` | `setServiceId​(int serviceId)` |
  `void` | `setSum​(java.math.BigDecimal sum)` |
  `void` | `setTitle​(java.lang.String title)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractAccountDetail

    public ContractAccountDetail()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId​(int serviceId)

  - ### getEntityId

    public int getEntityId()

  - ### setEntityId

    public void setEntityId​(int entityId)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod​(Period period)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getCost

    public java.math.BigDecimal getCost()

  - ### setCost

    public void setCost​(java.math.BigDecimal cost)

  - ### getAmount

    public java.math.BigDecimal getAmount()

  - ### setAmount

    public void setAmount​(java.math.BigDecimal amount)

  - ### getSum

    public java.math.BigDecimal getSum()

  - ### setSum

    public void setSum​(java.math.BigDecimal sum)